summaryrefslogtreecommitdiff
path: root/eclass/toolchain.eclass
diff options
context:
space:
mode:
Diffstat (limited to 'eclass/toolchain.eclass')
-rw-r--r--eclass/toolchain.eclass7
1 files changed, 7 insertions, 0 deletions
diff --git a/eclass/toolchain.eclass b/eclass/toolchain.eclass
index e365269d1c18..d48d8cf78d06 100644
--- a/eclass/toolchain.eclass
+++ b/eclass/toolchain.eclass
@@ -2646,6 +2646,13 @@ toolchain_src_install() {
fi
fi
+ # Hack for C++ modules
+ if ! is_crosscompile; then
+ # PR19266 (bug #948394)
+ sed -i -e "s,\.\./lib/gcc/${CHOST}/${GCCMAJOR}/include/,include/," \
+ "${ED}"/usr/lib/gcc/${CHOST}/${GCCMAJOR}/libstdc++.modules.json || die
+ fi
+
# As gcc installs object files built against both ${CHOST} and ${CTARGET}
# ideally we will need to strip them using different tools:
# Using ${CHOST} tools: